> ## Documentation Index
> Fetch the complete documentation index at: https://agnt.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Audio Details

> This endpoint get available details about a given audio



## OpenAPI

````yaml /openapi/youtube.openapi.json get /v1/data/youtube/audio/details
openapi: 3.0.0
info:
  title: agntdata YouTube API
  description: >-
    Comprehensive YouTube API with robust features for YouTube search, detailed
    YouTube video insights, channel information, access to YouTube trending
    content, and personalized YouTube recommendations.
  version: 1.0.0
  contact:
    name: agntdata
    url: https://agntdata.dev
servers:
  - url: https://api.agntdata.dev
    description: agntdata API
security:
  - ApiKeyAuth: []
tags:
  - name: Trending
    description: ''
  - name: Channel
    description: ''
  - name: Search
    description: ''
  - name: Video
    description: ''
  - name: Audio
    description: ''
  - name: Screenshot
    description: ''
paths:
  /v1/data/youtube/audio/details:
    get:
      tags:
        - Audio
      summary: Audio Details
      description: This endpoint get available details about a given audio
      operationId: Audio_Details
      parameters:
        - name: audio_id
          in: query
          required: true
          schema:
            type: string
            default: >-
              8gVbCk4SPwoLeXo4TlN2bUFhRHcSC3l6OE5Tdm1BYUR3Ggt4bl9ob1RQS0pzUSIKEggIOxDA_4zNAyoKEggIOxDA_4zNAxoLeG5faG9UUEtKc1EogZKBocKFmYSVAQ==
      responses:
        '200':
          description: Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Get_youtube_audio_details_Response'
              example:
                audio_id: >-
                  8gVbCk4SPwoLeXo4TlN2bUFhRHcSC3l6OE5Tdm1BYUR3Ggt4bl9ob1RQS0pzUSIKEggIOxDA_4zNAyoKEggIOxDA_4zNAxoLeG5faG9UUEtKc1EogZKBocKFmYSVAQ==
                name: Funny Song
                channel_id: UC-CVdJgfx0kxQb-h_BKtJkA
                channel_name: Funny Song Studio, Sounds Reel
                number_of_videos: 24000000
                thumbnails:
                  - url: >-
                      https://lh3.googleusercontent.com/izlDmsiYlL0NU7IXV_7wfSXrejwvBPfcu1kuPVCxv5RIAHGUYjWb932JVnSeWOzr0tr_-fSv-LF_auMf6w
                    width: 1500
                    height: 1500
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Get_youtube_audio_details_Response422'
              example:
                detail:
                  - loc: []
                    msg: ''
                    type: ''
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Get_youtube_audio_details_Response:
      title: Channel
      required:
        - channel_id
      type: object
      properties:
        channel_id:
          title: Channel Id
          type: string
        title:
          title: Title
          type: string
        description:
          title: Description
          type: string
        subscriber_count:
          title: Subscriber Count
          type: string
        links:
          title: Links
          type: array
          items:
            type: object
        avatar:
          title: Avatar
          type: array
          items:
            type: object
        banner:
          title: Banner
          type: array
          items:
            type: object
        verified:
          title: Verified
          type: boolean
          default: false
    Get_youtube_audio_details_Response422:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items:
            title: ValidationError
            required:
              - loc
              - msg
              - type
            type: object
            properties:
              loc:
                title: Location
                type: array
                items:
                  anyOf:
                    - type: string
                    - type: integer
              msg:
                title: Message
                type: string
              type:
                title: Error Type
                type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Bearer token. Pass your agntdata API key as: Authorization: Bearer
        agnt_live_...

````